org.apache.ignite.internal.managers.systemview

## Class IgniteConfigurationIterable

- java.lang.Object
- - org.apache.ignite.internal.managers.systemview.IgniteConfigurationIterable

All Implemented Interfaces:
  Iterable<ConfigurationView>

    public class IgniteConfigurationIterable
    extends Object
    implements Iterable<ConfigurationView>

Responsibility of this class it to recursively iterate `IgniteConfiguration` object and expose all properties in form of String pairs.

### Constructor Summary

Constructors
Constructor and Description
`IgniteConfigurationIterable(IgniteConfiguration cfg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<ConfigurationView>` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### IgniteConfigurationIterable

    public IgniteConfigurationIterable(IgniteConfiguration cfg)

Parameters:
  `cfg` - Configuration to iterate.

### Method Detail

#### iterator

    public Iterator<ConfigurationView> iterator()

Specified by:
  `iterator` in interface `Iterable<ConfigurationView>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023